FeatureHolderUtils (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.FeatureHolderUtils class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq
Class FeatureHolderUtils

    java.lang.Object
      org.biojava.bio.seq.FeatureHolderUtils

    public class FeatureHolderUtils

extends Object

This class intendes to provide some FeatureHolder utilities. Currently it is mainly providing set operators.

Author:
  Markus Brosch (markus[at]brosch[dot]cc)

Constructor Summary
`FeatureHolderUtils()`

Method Summary
`static Set` | `featureHolderAsSet(FeatureHolder fh)` Returns a FeatureHolder as a Set of Features
`static FeatureHolder` | `intersect(FeatureHolder fh1, FeatureHolder fh2)` Operator: Intersect FeatureHolder1 with FeatureHolder2
`static FeatureHolder` | `not(FeatureHolder fh1, FeatureHolder fh2)` Operator: FeatureHolder 1 NOT FeatureHolder2
`static FeatureHolder` | `union(FeatureHolder fh1, FeatureHolder fh2)` Operator: Union of FeatureHolder1 and FeatureHolder2

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FeatureHolderUtils

    public FeatureHolderUtils()

Method Detail

### union

    public static FeatureHolder union(FeatureHolder fh1,
                                      FeatureHolder fh2)
                               throws ChangeVetoException

  Operator: Union of FeatureHolder1 and FeatureHolder2

  Parameters:
    `fh1` - FeatureHolder1
    `fh2` - FeatureHolder2
  Returns:
    Union of fh1 and fh2 (corresponds to logical OR)
  Throws:
    `ChangeVetoException`

### intersect

    public static FeatureHolder intersect(FeatureHolder fh1,
                                          FeatureHolder fh2)
                                   throws ChangeVetoException

  Operator: Intersect FeatureHolder1 with FeatureHolder2

  Parameters:
    `fh1` - FeatureHolder1
    `fh2` - FeatureHolder2
  Returns:
    Intersection of fh1 and fh2 (corresponds to logical AND)
  Throws:
    `ChangeVetoException`

### not

    public static FeatureHolder not(FeatureHolder fh1,
                                    FeatureHolder fh2)
                             throws ChangeVetoException

  Operator: FeatureHolder 1 NOT FeatureHolder2

  Parameters:
    `fh1` - FeatureHolder1
    `fh2` - FeatureHolder2
  Returns:
    Set of fh1 without any feature of fh2 (Not)
  Throws:
    `ChangeVetoException`

### featureHolderAsSet

    public static Set featureHolderAsSet(FeatureHolder fh)

  Returns a FeatureHolder as a Set of Features

  Parameters:
    `fh` - FeatureHolder you want to have as a Set
  Returns:
    Set of FeatureHoler fh

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD